#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin>>n;
    pair<double, int>p_i_a[n];
    for(int i=0; i<n; i++)cin>>p_i_a[i].second>>p_i_a[i].first;
    sort(p_i_a, p_i_a+n);

    double poreez=0;

    for(int j=0; j<n; j++)
    {
        double procenat=p_i_a[j].first, suma=0, pomocna=0;
        double potrebna_suma=(p_i_a[j].second*procenat)/100.0;
        for(int m=j+1; m<n; m++)
        {
            suma+=(p_i_a[m].second*(p_i_a[j+1].first-procenat))/100.0;
            if(suma>=potrebna_suma){pomocna=1; break;}
        }
        if(suma>=potrebna_suma)pomocna=1;
        if(pomocna==0)
        {
            poreez=procenat;
            break;
        }
    }

    double reeez=0;
    for(int i=0; i<n; i++)
    {
        if(p_i_a[i].first>=poreez)reeez+=(p_i_a[i].second*poreez)/100.0;
    }
    cout<<fixed<<showpoint<<setprecision(5)<<reeez;
    return 0;
}